Update Account Status and Reason

Structure of API Call: PUT /programs/{programCode}/accounts/{accountIdentifier}/status

  • Update account status and status reason

This endpoint allows Partners to update account statuses, account status reasons, and cures under certain conditions. When a valid request is submitted and completed successfully, the updated status, status reason, and kycPendingGate will be returned in GET /accounts/{accountIdentifier} and GET /enrollments/accounts/{accountIdentifier} responses. An Account Updated Webhook will also be published.

Note: This endpoint can only be used if the Partner is configured to change statuses.

Path Params
string
required

Partner program code for the account.

string
required

Unique account identifier (UID or GUID).

Body Params

Request to update account status and reason. See Gd.Bos.DataTransfer.Request.SetPartnerAccountStatusRequest for required fields.

string
enum

The reason for the status change. Specifies the type of fraud, operational, or health reason. See Gd.Bos.DataTransfer.Request.SetPartnerAccountStatusReason for allowed values.

string
enum

The new status to be set for the account. See Gd.Bos.DataTransfer.Request.SetPartnerAccountStatus for allowed values.

Allowed:
string | null

Required. Notes or comments explaining the reason for the status change.

string | null

Optional. The source system or party initiating the status change (e.g., "Partner").

string | null

Optional. The cure or remediation action associated with the status change, if applicable.

Headers
string
required

Unique request tracking identifier (X-GD-RequestId header).

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
text/json